package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 下载文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum DownloadFileEnum {
    /**
     * 导入文件
     */
    IMPORTFILE(0),

    /**
     * 错误文件
     */
    ERROR(1),

    /**
     * result
     */
    RESULT(2);

    private int id;

    private DownloadFileEnum(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(int value) {
        if (value == IMPORTFILE.getId()) {
            return IMPORTFILE.name();
        } else if (value == ERROR.getId()) {
            return ERROR.name();
        } else {
            return RESULT.name();
        }
    }
}
